Bug 137695 - [patch] Mk/bsd.sites.mk : add logilab mirrors
[patch] Mk/bsd.sites.mk : add logilab mirrors
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 16:30 UTC by sbrabez
Modified: 2009-08-31 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.67 KB, patch)
2009-08-12 16:30 UTC, sbrabez
no flags Details | Diff
ports-bsd-sites-mk-logilab.diff.txt (3.54 KB, text/plain; charset=US-ASCII)
2009-08-12 17:21 UTC, sbrabez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sbrabez 2009-08-12 16:30:08 UTC
This patch will add a macro to bsd.sites.mk so that ports that are hosted on logilab mirrors can simply have MASTER_SITE= set to ${MASTER_SITE_LOGILAB}.

It also patch the logilab ports with macro ${MASTER_SITE_LOGILAB}. It will be usefull for incoming logilab ports.

Fix: Patch attached with submission follows:
Comment 1 sbrabez 2009-08-12 17:21:08 UTC
Hi, this following diff is bad. Thanks to apply this new attached.

On Wed, Aug 12, 2009 at 5:30 PM, <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/137695'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137695
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       [patch] Mk/bsd.sites.mk : add logilab mirrors
>>Arrival-Date:   Wed Aug 12 15:30:08 UTC 2009
>


Regards

-- 
sbz
Comment 2 Dmitry Marakasov freebsd_committer 2009-08-12 19:39:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 dfilter freebsd_committer 2009-08-31 19:37:11 UTC
amdmi3      2009-08-31 18:37:02 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.sites.mk 
    deskutils/narval     Makefile 
    devel/hgview         Makefile 
    devel/py-astng       Makefile 
    devel/py-logilab-common Makefile 
    devel/py-reverse     Makefile 
    devel/pylint         Makefile 
    textproc/py-xmltools Makefile 
  Log:
  - Introduce MASTER_SITE_LOGILAB
  - Update MASTER_SITES for ports that use it
  
  PR:             137695
  Submitted by:   Sofian Brabez <sbrabez@gmail.com>
  Reviewed by:    pav
  
  Revision  Changes    Path
  1.483     +9 -1      ports/Mk/bsd.sites.mk
  1.18      +1 -2      ports/deskutils/narval/Makefile
  1.8       +1 -1      ports/devel/hgview/Makefile
  1.11      +1 -1      ports/devel/py-astng/Makefile
  1.23      +1 -3      ports/devel/py-logilab-common/Makefile
  1.16      +1 -1      ports/devel/py-reverse/Makefile
  1.20      +1 -2      ports/devel/pylint/Makefile
  1.17      +1 -1      ports/textproc/py-xmltools/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2009-08-31 19:39:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!